const mongoose = require("mongoose");

const ConversationSchema = new mongoose.Schema(
  {
    sender: {
      type: mongoose.Schema.Types.ObjectId,
      ref: "User",
      require: true,
    },
    receiver: {
      type: mongoose.Schema.Types.ObjectId,
      ref: "User",
      require: true,
    },
    service: {
      type: mongoose.Schema.Types.ObjectId,
      ref: "Service",
      require: true,
    },
    offer: {
      type: mongoose.Schema.Types.ObjectId,
      ref: "Offer",
      require: true,
    },
    last_message_id: {
      type: mongoose.Schema.Types.ObjectId,
      ref: "Message",
      default: null,
    },
    last_message_time: {
      type: Date,
      default: null,
    },
    unread_message_count: {
      type: Number,
      default: "0",
    },
    status: {
      type: Boolean,
      default: true,
    },
  },
  { timestamps: true }
);

const ConversationModel = mongoose.model("Conversation", ConversationSchema);

module.exports = ConversationModel;
