const mongoose = require("mongoose");

const MessageSchema = new mongoose.Schema(
  {
    conversation_id: {
      type: mongoose.Schema.Types.ObjectId,
      ref: "Conversation",
      required: true,
    },
    sender: {
      type: mongoose.Schema.Types.ObjectId,
      ref: "User",
      required: true,
    },
    content: {
      type: String,
      required: true,
    },
    attachment: {
      type: String,
      default: null,
    },
    is_read: {
      type: Boolean,
      default: false,
    },
    type: {
      type: String,
      enum: [
        "normal",
        "drop",
        "update-offer",
        "counter-offer",
        "accepted-offer",
        "canceled"
      ],
      default: "normal",
    },
  },
  { timestamps: true }
);

const MessageModel = mongoose.model("Message", MessageSchema);

module.exports = MessageModel;
