const mongoose = require("mongoose");

const OfferSchema = new mongoose.Schema(
  {
    description: {
      type: String,
      default: null,
    },
    price: {
      type: Number,
      required: [true, "Price is required"],
    },
    OfferStatus: {
      type: String,
      enum: [
        "pending",
        "rejected",
        "accepted",
        "canceled",
        "ended",
        "drop",
        "not_accepted",
      ],
      default: "pending",
    },
    user: {
      type: mongoose.Schema.Types.ObjectId,
      ref: "User",
      require: true,
    },
    service: {
      type: mongoose.Schema.Types.ObjectId,
      ref: "Service",
      require: true,
    },
    drop_reasons: {
      type: String,
      default: null,
    },
  },
  { timestamps: true }
);

const OfferModel = mongoose.model("Offer", OfferSchema);

module.exports = OfferModel;
