const express = require("express");
const { auth } = require("../Controllers/AuthController");
const {
  PostValidate,
  AddPostValidate,
  ImageValidate,
} = require("../utils/validators/PostValidator");
const {
  GetMyPost,
  AddPost,
  DeletePost,
  MultiImages,
  Deleteimage,
  Updatepost,
  HomeSearch,
} = require("../Controllers/PostController");

const router = express();

router
  .route("/")
  .get(auth, GetMyPost)
  .post(auth, MultiImages, AddPostValidate, AddPost);
router.route("/:id/image").delete(auth, ImageValidate, Deleteimage);
router
  .route("/:id")
  .delete(auth, PostValidate, DeletePost)
  .put(auth, MultiImages, PostValidate, Updatepost);
module.exports = router;
