const express = require("express");
const { auth } = require("../Controllers/AuthController");
const {
  AddServiceValidate,
  ServiceValidate,
  AddRequestServiceValidate,
} = require("../utils/validators/ServiceValidator");
const {
  DeleteService,
  AddService,
  MultiImages,
  GetServiceById,
  AddRequestService,
} = require("../Controllers/ServiceController");

const router = express();

router.route("/").post(auth, MultiImages, AddServiceValidate, AddService);

router
  .route("/AddRequestService")
  .post(auth, MultiImages, AddRequestServiceValidate, AddRequestService);

router
  .route("/:id")
  .get(auth, ServiceValidate, GetServiceById)
  .put(auth, ServiceValidate, DeleteService);

module.exports = router;
