const express = require("express");
const { auth } = require("../Controllers/AuthController");

const {
  UpdateUser,
  DeleteUser,
  sendOtp,verifyOtp ,
  UploadImage,
  GetUser,
} = require("../Controllers/userController");

const {
  GetMyNotification,
  deleteNotification,
} = require("../Controllers/NotificationController");

const { deleteNotificationValidate } = require("../utils/validators/Validator");
const router = express();

router
  .route("/")
  .get(auth, GetUser)
  .put(auth, UploadImage, UpdateUser)
  .delete(auth, DeleteUser);

router.get("/delete_account_with_otp", (req, res) => {
  res.render("delete_account_otp", { otpSent: false, verified: false });
});

router.post("/send_otp", sendOtp);
router.post("/verify_otp", verifyOtp);

router
  .route("/notification/")
  .get(auth, GetMyNotification)
  .put(auth, deleteNotificationValidate, deleteNotification);

module.exports = router;
