const CategoryRoute = require("./CategoryRoutes");
const ServiceRoute = require("./ServiceRoute");
const OfferRoute = require("./OfferRoute");
const AuthRoute = require("./AuthRoute");
const RatingRoute = require("./RatingRoute");
const UserRoute = require("./UserRoute");
const ChatRoute = require("./ChatRoute");
const BusinessSettingRoute = require("./BusinessSettingRoute");
const WebRoute = require("./WebRoute");
const BannerRoute = require("./BannerRoute");
const PostRoute = require("./PostRoute");

const prifex = "/api/v1/";

const mountRoutes = (app) => {
  app.use(prifex + "user", AuthRoute);
  app.use(prifex + "Category", CategoryRoute);
  app.use(prifex + "Service", ServiceRoute);
  app.use(prifex + "Offer", OfferRoute);
  app.use(prifex + "Review", RatingRoute);
  app.use(prifex + "chat", ChatRoute);
  app.use(prifex + "user/profile", UserRoute);
  app.use(prifex + "config", BusinessSettingRoute);
  app.use(prifex + "Banner", BannerRoute);
  app.use(prifex + "Post", PostRoute);
  app.use("/", WebRoute);
};


module.exports = mountRoutes;
