const UserResource = require("./UserResource");


class NotificationResource {
  constructor(Notification) {
    this.Notification = Notification;
  }

  async toJSON() {
    try {
      if (!this.Notification) {
        console.error("Notification is undefined or null:", this.Notification);
        return null;
      }

      

      return {
        id: this.Notification._id,
        data: JSON.parse(this.Notification.data),
        type: this.Notification.type,
        createdAt: this.Notification.createdAt,
      };
    } catch (error) {
      console.error("Error fetching Notification details:", error);
      return null;
    }
  }

  static async collection(Notifications) {
    const promises = Notifications.map(async (Notification) =>
      new NotificationResource(Notification).toJSON()
    );
    return Promise.all(promises);
  }
}

module.exports = NotificationResource;
