const { check } = require("express-validator");
const validatorMiddleware = require("../../Middlewares/validatorMiddleware");

exports.loginValidate = [

  check("phone").notEmpty().withMessage("Phone is required"),

  validatorMiddleware,
];

exports.registerValidate = [
  check("name")
    .notEmpty()
    .withMessage("Name is required")
    .isLength({ min: 2 })
    .withMessage("Too short name")
    .isLength({ max: 15 })
    .withMessage("Too long name"),

  check("phone")
    .notEmpty()
    .withMessage("Phone is required")
    .isLength({ min: 13, max: 13 })
    .withMessage("Phone number must be exactly 13 characters")
    .matches(/^\+?\d{10,15}$/)
    .withMessage("Invalid phone number format"),
  validatorMiddleware,
];
