const { check } = require("express-validator");
const validatorMiddleware = require("../../Middlewares/validatorMiddleware");

exports.PostValidate = [
  check("id").isMongoId().withMessage("invalid id"),
  validatorMiddleware,
];

exports.AddPostValidate = [
  check("description").notEmpty().withMessage("description is required"),
  check("category").isMongoId().withMessage("invalid id"),
  check("price")
    .optional({ nullable: true })
    .isNumeric()
    .withMessage("make sure to send Number in price field "),
  validatorMiddleware,
];

exports.ImageValidate = [
  check("id").isMongoId().withMessage("invalid id"),
  check("image")
    .notEmpty()
    .withMessage("Image is required")
    .isString()
    .withMessage("Image must be a string"),
  validatorMiddleware,
];
