const { check } = require("express-validator");
const validatorMiddleware = require("../../Middlewares/validatorMiddleware");

exports.ServiceValidate = [
  check("id").isMongoId().withMessage("invalid id"),
  validatorMiddleware,
];

exports.AddServiceValidate = [
  check("description").notEmpty().withMessage("description is required"),

  check("category_id").isMongoId().withMessage("invalid id"),
  check("price")
    .notEmpty()
    .withMessage("price is required")
    .isNumeric()
    .withMessage("make sure to send Number in price field "),
  validatorMiddleware,
];
exports.AddRequestServiceValidate = [
  check("description").notEmpty().withMessage("description is required"),
  check("postId")
    .notEmpty()
    .withMessage("postId is required")
    .isMongoId()
    .withMessage("invalid postId"),
  check("price")
    .notEmpty()
    .withMessage("price is required")
    .isNumeric()
    .withMessage("make sure to send Number in price field "),
  validatorMiddleware,
];
